	.file	"pth_broadcast.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
.globl csema_ctr
	.type	csema_ctr, @function
csema_ctr:
.LFB0:
	.file 1 "pth_broadcast.c"
	.loc 1 27 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$24, %esp
	.loc 1 28 0
	movl	$76, 8(%esp)
	movl	$0, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	memset
	.loc 1 29 0
	movl	8(%ebp), %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_mutex_init
	.loc 1 30 0
	movl	8(%ebp), %eax
	addl	$24, %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_cond_init
	.loc 1 31 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	csema_ctr, .-csema_ctr
.globl csema_dtr
	.type	csema_dtr, @function
csema_dtr:
.LFB1:
	.loc 1 34 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$24, %esp
	.loc 1 35 0
	movl	8(%ebp), %eax
	addl	$24, %eax
	movl	%eax, (%esp)
	call	pthread_cond_destroy
	.loc 1 36 0
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	pthread_mutex_destroy
	.loc 1 37 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	csema_dtr, .-csema_dtr
.globl csema_p
	.type	csema_p, @function
csema_p:
.LFB2:
	.loc 1 40 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$24, %esp
	.loc 1 41 0
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	pthread_mutex_lock
	.loc 1 42 0
	jmp	.L6
.L7:
	.loc 1 43 0
	movl	8(%ebp), %eax
	movl	8(%ebp), %edx
	addl	$24, %edx
	movl	%eax, 4(%esp)
	movl	%edx, (%esp)
	call	pthread_cond_wait
.L6:
	.loc 1 42 0
	movl	8(%ebp), %eax
	movl	72(%eax), %eax
	cmpl	12(%ebp), %eax
	jl	.L7
	.loc 1 44 0
	movl	8(%ebp), %eax
	movl	72(%eax), %eax
	movl	%eax, %edx
	subl	12(%ebp), %edx
	movl	8(%ebp), %eax
	movl	%edx, 72(%eax)
	.loc 1 45 0
	movl	8(%ebp), %eax
	addl	$24, %eax
	movl	%eax, (%esp)
	call	pthread_cond_signal
	.loc 1 46 0
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	pthread_mutex_unlock
	.loc 1 47 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	csema_p, .-csema_p
.globl csema_v
	.type	csema_v, @function
csema_v:
.LFB3:
	.loc 1 50 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$24, %esp
	.loc 1 51 0
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	pthread_mutex_lock
	.loc 1 52 0
	movl	8(%ebp), %eax
	movl	72(%eax), %eax
	leal	1(%eax), %edx
	movl	8(%ebp), %eax
	movl	%edx, 72(%eax)
	.loc 1 53 0
	movl	8(%ebp), %eax
	addl	$24, %eax
	movl	%eax, (%esp)
	call	pthread_cond_signal
	.loc 1 54 0
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	pthread_mutex_unlock
	.loc 1 55 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE3:
	.size	csema_v, .-csema_v
.globl cthread_ctr
	.type	cthread_ctr, @function
cthread_ctr:
.LFB4:
	.loc 1 66 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	.loc 1 67 0
	movl	8(%ebp), %eax
	movl	$0, (%eax)
	.loc 1 68 0
	movl	8(%ebp), %eax
	movl	$0, 8(%eax)
	.loc 1 69 0
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE4:
	.size	cthread_ctr, .-cthread_ctr
.globl cthread_dtr
	.type	cthread_dtr, @function
cthread_dtr:
.LFB5:
	.loc 1 72 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	.loc 1 72 0
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE5:
	.size	cthread_dtr, .-cthread_dtr
	.local	s_debug
	.comm	s_debug,4,4
	.local	s_trace
	.comm	s_trace,4,4
	.local	s_signal_count
	.comm	s_signal_count,4,4
	.local	s_mutex
	.comm	s_mutex,24,4
	.local	s_cond
	.comm	s_cond,48,32
	.section	.rodata
.LC0:
	.string	"thread %d [%d] (1)\n"
.LC1:
	.string	"thread %d [%d] (2)\n"
	.text
	.type	thread_func, @function
thread_func:
.LFB6:
	.loc 1 87 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 90 0
	movl	$s_mutex, (%esp)
	call	pthread_mutex_lock
	.loc 1 92 0
	movl	$0, -12(%ebp)
	jmp	.L16
.L19:
	.loc 1 94 0
	movl	s_trace, %eax
	testl	%eax, %eax
	je	.L17
	.loc 1 96 0
	movl	8(%ebp), %eax
	movl	4(%eax), %edx
	movl	$.LC0, %eax
	movl	-12(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L17:
	.loc 1 98 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	%eax, (%esp)
	call	csema_v
	.loc 1 101 0
	movl	$s_mutex, 4(%esp)
	movl	$s_cond, (%esp)
	call	pthread_cond_wait
	.loc 1 102 0
	movl	s_trace, %eax
	testl	%eax, %eax
	je	.L18
	.loc 1 104 0
	movl	8(%ebp), %eax
	movl	4(%eax), %edx
	movl	$.LC1, %eax
	movl	-12(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L18:
	.loc 1 92 0
	addl	$1, -12(%ebp)
.L16:
	movl	s_signal_count, %eax
	cmpl	%eax, -12(%ebp)
	jl	.L19
	.loc 1 108 0
	movl	$s_mutex, (%esp)
	call	pthread_mutex_unlock
	.loc 1 109 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE6:
	.size	thread_func, .-thread_func
	.section	.rodata
.LC2:
	.string	"pth_broadcast.c"
.LC3:
	.string	"0"
.LC4:
	.string	"d"
.LC5:
	.string	"&s_cond = %p\n"
.LC6:
	.string	"main [%d] (1)\n"
.LC7:
	.string	"main [%d] (2)\n"
.LC8:
	.string	"main [%d] (3)\n"
.LC9:
	.string	"Done.\n"
	.text
.globl main
	.type	main, @function
main:
.LFB7:
	.loc 1 112 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$112, %esp
	.loc 1 116 0
	jmp	.L22
.L25:
	.loc 1 118 0
	movl	92(%esp), %eax
	cmpl	$100, %eax
	jne	.L41
.L24:
	.loc 1 121 0
	movl	$1, s_debug
	.loc 1 122 0
	jmp	.L22
.L41:
	.loc 1 124 0
	movl	$__PRETTY_FUNCTION__.3552, 12(%esp)
	movl	$124, 8(%esp)
	movl	$.LC2, 4(%esp)
	movl	$.LC3, (%esp)
	call	__assert_fail
.L22:
	.loc 1 116 0
	movl	$.LC4, 8(%esp)
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	getopt
	movl	%eax, 92(%esp)
	cmpl	$-1, 92(%esp)
	jne	.L25
	.loc 1 131 0
	movl	$100, (%esp)
	call	alarm
	.loc 1 133 0
	movl	optind, %eax
	cmpl	%eax, 8(%ebp)
	jle	.L26
	movl	optind, %eax
	sall	$2, %eax
	addl	12(%ebp), %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	atoi
	jmp	.L27
.L26:
	movl	$10, %eax
.L27:
	movl	%eax, s_signal_count
	.loc 1 134 0
	movl	optind, %eax
	addl	$1, %eax
	cmpl	8(%ebp), %eax
	jge	.L28
	movl	optind, %eax
	addl	$1, %eax
	sall	$2, %eax
	addl	12(%ebp), %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	atoi
	jmp	.L29
.L28:
	movl	$10, %eax
.L29:
	movl	%eax, 96(%esp)
	.loc 1 136 0
	movl	s_debug, %eax
	testl	%eax, %eax
	je	.L30
	.loc 1 137 0
	movl	$.LC5, %eax
	movl	$s_cond, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L30:
	.loc 1 139 0
	movl	$0, 4(%esp)
	movl	$s_mutex, (%esp)
	call	pthread_mutex_init
	.loc 1 140 0
	movl	$0, 4(%esp)
	movl	$s_cond, (%esp)
	call	pthread_cond_init
.LBB2:
	.loc 1 147 0
	leal	16(%esp), %eax
	movl	%eax, (%esp)
	call	csema_ctr
	.loc 1 148 0
	movl	96(%esp), %edx
	movl	%edx, %eax
	addl	%eax, %eax
	addl	%edx, %eax
	sall	$2, %eax
	movl	%eax, (%esp)
	call	malloc
	movl	%eax, 108(%esp)
	.loc 1 149 0
	movl	108(%esp), %eax
	movl	%eax, 104(%esp)
	jmp	.L31
.L32:
	.loc 1 151 0
	movl	104(%esp), %eax
	movl	%eax, (%esp)
	call	cthread_ctr
	.loc 1 152 0
	movl	104(%esp), %edx
	movl	108(%esp), %eax
	movl	%edx, %ecx
	subl	%eax, %ecx
	movl	%ecx, %eax
	sarl	$2, %eax
	imull	$-1431655765, %eax, %eax
	movl	%eax, %edx
	movl	104(%esp), %eax
	movl	%edx, 4(%eax)
	.loc 1 153 0
	movl	104(%esp), %eax
	leal	16(%esp), %edx
	movl	%edx, 8(%eax)
	.loc 1 154 0
	movl	$thread_func, %edx
	movl	104(%esp), %eax
	movl	104(%esp), %ecx
	movl	%ecx, 12(%esp)
	movl	%edx, 8(%esp)
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_create
	.loc 1 149 0
	addl	$12, 104(%esp)
.L31:
	movl	96(%esp), %edx
	movl	%edx, %eax
	addl	%eax, %eax
	addl	%edx, %eax
	sall	$2, %eax
	addl	108(%esp), %eax
	cmpl	104(%esp), %eax
	jne	.L32
	.loc 1 157 0
	movl	$0, 100(%esp)
	jmp	.L33
.L37:
	.loc 1 159 0
	movl	s_trace, %eax
	testl	%eax, %eax
	je	.L34
	.loc 1 160 0
	movl	$.LC6, %eax
	movl	100(%esp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L34:
	.loc 1 161 0
	movl	96(%esp), %eax
	movl	%eax, 4(%esp)
	leal	16(%esp), %eax
	movl	%eax, (%esp)
	call	csema_p
	.loc 1 162 0
	movl	s_trace, %eax
	testl	%eax, %eax
	je	.L35
	.loc 1 163 0
	movl	$.LC7, %eax
	movl	100(%esp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L35:
	.loc 1 164 0
	movl	$s_mutex, (%esp)
	call	pthread_mutex_lock
	.loc 1 165 0
	movl	$s_cond, (%esp)
	call	pthread_cond_broadcast
	.loc 1 166 0
	movl	$s_mutex, (%esp)
	call	pthread_mutex_unlock
	.loc 1 167 0
	movl	s_trace, %eax
	testl	%eax, %eax
	je	.L36
	.loc 1 168 0
	movl	$.LC8, %eax
	movl	100(%esp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L36:
	.loc 1 157 0
	addl	$1, 100(%esp)
.L33:
	movl	s_signal_count, %eax
	cmpl	%eax, 100(%esp)
	jl	.L37
	.loc 1 170 0
	movl	$0, 100(%esp)
	jmp	.L38
.L39:
	.loc 1 172 0
	movl	100(%esp), %edx
	movl	%edx, %eax
	addl	%eax, %eax
	addl	%edx, %eax
	sall	$2, %eax
	addl	108(%esp), %eax
	movl	(%eax), %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_join
	.loc 1 173 0
	movl	100(%esp), %edx
	movl	%edx, %eax
	addl	%eax, %eax
	addl	%edx, %eax
	sall	$2, %eax
	addl	108(%esp), %eax
	movl	%eax, (%esp)
	call	cthread_dtr
	.loc 1 170 0
	addl	$1, 100(%esp)
.L38:
	movl	100(%esp), %eax
	cmpl	96(%esp), %eax
	jl	.L39
	.loc 1 175 0
	movl	108(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 176 0
	leal	16(%esp), %eax
	movl	%eax, (%esp)
	call	csema_dtr
.LBE2:
	.loc 1 178 0
	movl	$s_cond, (%esp)
	call	pthread_cond_destroy
	.loc 1 179 0
	movl	$s_mutex, (%esp)
	call	pthread_mutex_destroy
	.loc 1 181 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC9, %eax
	movl	%edx, 12(%esp)
	movl	$6, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 1 183 0
	movl	$0, %eax
	.loc 1 184 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE7:
	.size	main, .-main
	.section	.rodata
	.type	__PRETTY_FUNCTION__.3552, @object
	.size	__PRETTY_FUNCTION__.3552, 5
__PRETTY_FUNCTION__.3552:
	.string	"main"
	.text
.Letext0:
	.file 2 "/usr/include/bits/types.h"
	.file 3 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.file 4 "/usr/include/bits/pthreadtypes.h"
	.file 5 "/usr/include/libio.h"
	.file 6 "/usr/include/stdio.h"
	.file 7 "/usr/include/getopt.h"
	.section	.debug_info
	.long	0x70b
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF100
	.byte	0x1
	.long	.LASF101
	.long	.LASF102
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF0
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF1
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x4
	.long	.LASF8
	.byte	0x2
	.byte	0x38
	.long	0x56
	.uleb128 0x4
	.long	.LASF9
	.byte	0x2
	.byte	0x8d
	.long	0x7a
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF10
	.uleb128 0x4
	.long	.LASF11
	.byte	0x2
	.byte	0x8e
	.long	0x64
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0x94
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF12
	.uleb128 0x4
	.long	.LASF13
	.byte	0x3
	.byte	0xd3
	.long	0x33
	.uleb128 0x7
	.long	0x4f
	.uleb128 0x4
	.long	.LASF14
	.byte	0x4
	.byte	0x24
	.long	0x3a
	.uleb128 0x8
	.long	.LASF18
	.byte	0x4
	.byte	0x4
	.byte	0x2f
	.long	0xcf
	.uleb128 0x9
	.long	.LASF20
	.byte	0x4
	.byte	0x30
	.long	0xcf
	.sleb128 0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0xb6
	.uleb128 0x4
	.long	.LASF15
	.byte	0x4
	.byte	0x31
	.long	0xb6
	.uleb128 0xa
	.byte	0x4
	.byte	0x4
	.byte	0x42
	.long	0xff
	.uleb128 0xb
	.long	.LASF16
	.byte	0x4
	.byte	0x43
	.long	0x4f
	.uleb128 0xb
	.long	.LASF17
	.byte	0x4
	.byte	0x44
	.long	0xd5
	.byte	0x0
	.uleb128 0x8
	.long	.LASF19
	.byte	0x18
	.byte	0x4
	.byte	0x39
	.long	0x14e
	.uleb128 0x9
	.long	.LASF21
	.byte	0x4
	.byte	0x3a
	.long	0x4f
	.sleb128 0
	.uleb128 0x9
	.long	.LASF22
	.byte	0x4
	.byte	0x3b
	.long	0x33
	.sleb128 4
	.uleb128 0x9
	.long	.LASF23
	.byte	0x4
	.byte	0x3c
	.long	0x4f
	.sleb128 8
	.uleb128 0x9
	.long	.LASF24
	.byte	0x4
	.byte	0x3f
	.long	0x4f
	.sleb128 12
	.uleb128 0x9
	.long	.LASF25
	.byte	0x4
	.byte	0x40
	.long	0x33
	.sleb128 16
	.uleb128 0xc
	.long	0xe0
	.sleb128 20
	.byte	0x0
	.uleb128 0xa
	.byte	0x18
	.byte	0x4
	.byte	0x37
	.long	0x178
	.uleb128 0xb
	.long	.LASF26
	.byte	0x4
	.byte	0x46
	.long	0xff
	.uleb128 0xb
	.long	.LASF27
	.byte	0x4
	.byte	0x47
	.long	0x178
	.uleb128 0xb
	.long	.LASF28
	.byte	0x4
	.byte	0x48
	.long	0x7a
	.byte	0x0
	.uleb128 0xd
	.long	0x94
	.long	0x188
	.uleb128 0xe
	.long	0x33
	.byte	0x17
	.byte	0x0
	.uleb128 0x4
	.long	.LASF29
	.byte	0x4
	.byte	0x49
	.long	0x14e
	.uleb128 0xf
	.byte	0x2c
	.byte	0x4
	.byte	0x57
	.long	0x1fc
	.uleb128 0x9
	.long	.LASF21
	.byte	0x4
	.byte	0x58
	.long	0x4f
	.sleb128 0
	.uleb128 0x9
	.long	.LASF30
	.byte	0x4
	.byte	0x59
	.long	0x33
	.sleb128 4
	.uleb128 0x9
	.long	.LASF31
	.byte	0x4
	.byte	0x5a
	.long	0x5d
	.sleb128 8
	.uleb128 0x9
	.long	.LASF32
	.byte	0x4
	.byte	0x5b
	.long	0x5d
	.sleb128 16
	.uleb128 0x9
	.long	.LASF33
	.byte	0x4
	.byte	0x5c
	.long	0x5d
	.sleb128 24
	.uleb128 0x9
	.long	.LASF34
	.byte	0x4
	.byte	0x5d
	.long	0x8c
	.sleb128 32
	.uleb128 0x9
	.long	.LASF35
	.byte	0x4
	.byte	0x5e
	.long	0x33
	.sleb128 36
	.uleb128 0x9
	.long	.LASF36
	.byte	0x4
	.byte	0x5f
	.long	0x33
	.sleb128 40
	.byte	0x0
	.uleb128 0xa
	.byte	0x30
	.byte	0x4
	.byte	0x55
	.long	0x226
	.uleb128 0xb
	.long	.LASF26
	.byte	0x4
	.byte	0x60
	.long	0x193
	.uleb128 0xb
	.long	.LASF27
	.byte	0x4
	.byte	0x61
	.long	0x226
	.uleb128 0xb
	.long	.LASF28
	.byte	0x4
	.byte	0x62
	.long	0x56
	.byte	0x0
	.uleb128 0xd
	.long	0x94
	.long	0x236
	.uleb128 0xe
	.long	0x33
	.byte	0x2f
	.byte	0x0
	.uleb128 0x4
	.long	.LASF37
	.byte	0x4
	.byte	0x63
	.long	0x1fc
	.uleb128 0x10
	.long	.LASF38
	.byte	0x94
	.byte	0x5
	.value	0x10f
	.long	0x3d5
	.uleb128 0x11
	.long	.LASF39
	.byte	0x5
	.value	0x110
	.long	0x4f
	.sleb128 0
	.uleb128 0x11
	.long	.LASF40
	.byte	0x5
	.value	0x115
	.long	0x8e
	.sleb128 4
	.uleb128 0x11
	.long	.LASF41
	.byte	0x5
	.value	0x116
	.long	0x8e
	.sleb128 8
	.uleb128 0x11
	.long	.LASF42
	.byte	0x5
	.value	0x117
	.long	0x8e
	.sleb128 12
	.uleb128 0x11
	.long	.LASF43
	.byte	0x5
	.value	0x118
	.long	0x8e
	.sleb128 16
	.uleb128 0x11
	.long	.LASF44
	.byte	0x5
	.value	0x119
	.long	0x8e
	.sleb128 20
	.uleb128 0x11
	.long	.LASF45
	.byte	0x5
	.value	0x11a
	.long	0x8e
	.sleb128 24
	.uleb128 0x11
	.long	.LASF46
	.byte	0x5
	.value	0x11b
	.long	0x8e
	.sleb128 28
	.uleb128 0x11
	.long	.LASF47
	.byte	0x5
	.value	0x11c
	.long	0x8e
	.sleb128 32
	.uleb128 0x11
	.long	.LASF48
	.byte	0x5
	.value	0x11e
	.long	0x8e
	.sleb128 36
	.uleb128 0x11
	.long	.LASF49
	.byte	0x5
	.value	0x11f
	.long	0x8e
	.sleb128 40
	.uleb128 0x11
	.long	.LASF50
	.byte	0x5
	.value	0x120
	.long	0x8e
	.sleb128 44
	.uleb128 0x11
	.long	.LASF51
	.byte	0x5
	.value	0x122
	.long	0x40d
	.sleb128 48
	.uleb128 0x11
	.long	.LASF52
	.byte	0x5
	.value	0x124
	.long	0x413
	.sleb128 52
	.uleb128 0x11
	.long	.LASF53
	.byte	0x5
	.value	0x126
	.long	0x4f
	.sleb128 56
	.uleb128 0x11
	.long	.LASF54
	.byte	0x5
	.value	0x12a
	.long	0x4f
	.sleb128 60
	.uleb128 0x11
	.long	.LASF55
	.byte	0x5
	.value	0x12c
	.long	0x6f
	.sleb128 64
	.uleb128 0x11
	.long	.LASF56
	.byte	0x5
	.value	0x130
	.long	0x2c
	.sleb128 68
	.uleb128 0x11
	.long	.LASF57
	.byte	0x5
	.value	0x131
	.long	0x41
	.sleb128 70
	.uleb128 0x11
	.long	.LASF58
	.byte	0x5
	.value	0x132
	.long	0x419
	.sleb128 71
	.uleb128 0x11
	.long	.LASF59
	.byte	0x5
	.value	0x136
	.long	0x429
	.sleb128 72
	.uleb128 0x11
	.long	.LASF60
	.byte	0x5
	.value	0x13f
	.long	0x81
	.sleb128 76
	.uleb128 0x11
	.long	.LASF61
	.byte	0x5
	.value	0x148
	.long	0x8c
	.sleb128 84
	.uleb128 0x11
	.long	.LASF62
	.byte	0x5
	.value	0x149
	.long	0x8c
	.sleb128 88
	.uleb128 0x11
	.long	.LASF63
	.byte	0x5
	.value	0x14a
	.long	0x8c
	.sleb128 92
	.uleb128 0x11
	.long	.LASF64
	.byte	0x5
	.value	0x14b
	.long	0x8c
	.sleb128 96
	.uleb128 0x11
	.long	.LASF65
	.byte	0x5
	.value	0x14c
	.long	0x9b
	.sleb128 100
	.uleb128 0x11
	.long	.LASF66
	.byte	0x5
	.value	0x14e
	.long	0x4f
	.sleb128 104
	.uleb128 0x11
	.long	.LASF67
	.byte	0x5
	.value	0x150
	.long	0x42f
	.sleb128 108
	.byte	0x0
	.uleb128 0x12
	.long	.LASF103
	.byte	0x5
	.byte	0xb4
	.uleb128 0x8
	.long	.LASF68
	.byte	0xc
	.byte	0x5
	.byte	0xba
	.long	0x40d
	.uleb128 0x9
	.long	.LASF69
	.byte	0x5
	.byte	0xbb
	.long	0x40d
	.sleb128 0
	.uleb128 0x9
	.long	.LASF70
	.byte	0x5
	.byte	0xbc
	.long	0x413
	.sleb128 4
	.uleb128 0x9
	.long	.LASF71
	.byte	0x5
	.byte	0xc0
	.long	0x4f
	.sleb128 8
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x3dc
	.uleb128 0x6
	.byte	0x4
	.long	0x241
	.uleb128 0xd
	.long	0x94
	.long	0x429
	.uleb128 0xe
	.long	0x33
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x3d5
	.uleb128 0xd
	.long	0x94
	.long	0x43f
	.uleb128 0xe
	.long	0x33
	.byte	0x27
	.byte	0x0
	.uleb128 0x8
	.long	.LASF72
	.byte	0x4c
	.byte	0x1
	.byte	0x14
	.long	0x471
	.uleb128 0x9
	.long	.LASF73
	.byte	0x1
	.byte	0x15
	.long	0x188
	.sleb128 0
	.uleb128 0x9
	.long	.LASF74
	.byte	0x1
	.byte	0x16
	.long	0x236
	.sleb128 24
	.uleb128 0x9
	.long	.LASF75
	.byte	0x1
	.byte	0x17
	.long	0x4f
	.sleb128 72
	.byte	0x0
	.uleb128 0x8
	.long	.LASF76
	.byte	0xc
	.byte	0x1
	.byte	0x3b
	.long	0x4a2
	.uleb128 0x9
	.long	.LASF77
	.byte	0x1
	.byte	0x3c
	.long	0xab
	.sleb128 0
	.uleb128 0x9
	.long	.LASF78
	.byte	0x1
	.byte	0x3d
	.long	0x4f
	.sleb128 4
	.uleb128 0x9
	.long	.LASF79
	.byte	0x1
	.byte	0x3e
	.long	0x4a2
	.sleb128 8
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x43f
	.uleb128 0x13
	.byte	0x1
	.long	.LASF80
	.byte	0x1
	.byte	0x1a
	.byte	0x1
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0x4cc
	.uleb128 0x14
	.string	"p"
	.byte	0x1
	.byte	0x1a
	.long	0x4a2
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0x13
	.byte	0x1
	.long	.LASF81
	.byte	0x1
	.byte	0x21
	.byte	0x1
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x4f0
	.uleb128 0x14
	.string	"p"
	.byte	0x1
	.byte	0x21
	.long	0x4a2
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0x13
	.byte	0x1
	.long	.LASF82
	.byte	0x1
	.byte	0x27
	.byte	0x1
	.long	.LFB2
	.long	.LFE2
	.byte	0x1
	.byte	0x9c
	.long	0x520
	.uleb128 0x14
	.string	"p"
	.byte	0x1
	.byte	0x27
	.long	0x4a2
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x14
	.string	"n"
	.byte	0x1
	.byte	0x27
	.long	0xa6
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.byte	0x0
	.uleb128 0x13
	.byte	0x1
	.long	.LASF83
	.byte	0x1
	.byte	0x31
	.byte	0x1
	.long	.LFB3
	.long	.LFE3
	.byte	0x1
	.byte	0x9c
	.long	0x544
	.uleb128 0x14
	.string	"p"
	.byte	0x1
	.byte	0x31
	.long	0x4a2
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0x13
	.byte	0x1
	.long	.LASF84
	.byte	0x1
	.byte	0x41
	.byte	0x1
	.long	.LFB4
	.long	.LFE4
	.byte	0x1
	.byte	0x9c
	.long	0x568
	.uleb128 0x14
	.string	"p"
	.byte	0x1
	.byte	0x41
	.long	0x568
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x471
	.uleb128 0x13
	.byte	0x1
	.long	.LASF85
	.byte	0x1
	.byte	0x47
	.byte	0x1
	.long	.LFB5
	.long	.LFE5
	.byte	0x1
	.byte	0x9c
	.long	0x592
	.uleb128 0x14
	.string	"p"
	.byte	0x1
	.byte	0x47
	.long	0x568
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0x15
	.long	.LASF104
	.byte	0x1
	.byte	0x56
	.byte	0x1
	.long	.LFB6
	.long	.LFE6
	.byte	0x1
	.byte	0x9c
	.long	0x5c3
	.uleb128 0x16
	.long	.LASF86
	.byte	0x1
	.byte	0x56
	.long	0x568
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x17
	.string	"i"
	.byte	0x1
	.byte	0x58
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.uleb128 0x18
	.byte	0x1
	.long	.LASF105
	.byte	0x1
	.byte	0x6f
	.byte	0x1
	.long	0x4f
	.long	.LFB7
	.long	.LFE7
	.byte	0x1
	.byte	0x9c
	.long	0x66a
	.uleb128 0x16
	.long	.LASF87
	.byte	0x1
	.byte	0x6f
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x16
	.long	.LASF88
	.byte	0x1
	.byte	0x6f
	.long	0x66a
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x19
	.long	.LASF89
	.byte	0x1
	.byte	0x71
	.long	0x4f
	.byte	0x3
	.byte	0x74
	.sleb128 92
	.uleb128 0x19
	.long	.LASF90
	.byte	0x1
	.byte	0x72
	.long	0x4f
	.byte	0x3
	.byte	0x74
	.sleb128 96
	.uleb128 0x1a
	.long	.LASF106
	.long	0x680
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.3552
	.uleb128 0x1b
	.long	.LBB2
	.long	.LBE2
	.uleb128 0x17
	.string	"i"
	.byte	0x1
	.byte	0x8e
	.long	0x4f
	.byte	0x3
	.byte	0x74
	.sleb128 100
	.uleb128 0x19
	.long	.LASF91
	.byte	0x1
	.byte	0x8f
	.long	0x43f
	.byte	0x2
	.byte	0x74
	.sleb128 16
	.uleb128 0x17
	.string	"p"
	.byte	0x1
	.byte	0x90
	.long	0x568
	.byte	0x3
	.byte	0x74
	.sleb128 104
	.uleb128 0x19
	.long	.LASF92
	.byte	0x1
	.byte	0x91
	.long	0x568
	.byte	0x3
	.byte	0x74
	.sleb128 108
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x8e
	.uleb128 0xd
	.long	0x94
	.long	0x680
	.uleb128 0xe
	.long	0x33
	.byte	0x4
	.byte	0x0
	.uleb128 0x7
	.long	0x670
	.uleb128 0x1c
	.long	.LASF93
	.byte	0x6
	.byte	0xa7
	.long	0x413
	.byte	0x1
	.byte	0x1
	.uleb128 0x1c
	.long	.LASF94
	.byte	0x7
	.byte	0x49
	.long	0x4f
	.byte	0x1
	.byte	0x1
	.uleb128 0x19
	.long	.LASF95
	.byte	0x1
	.byte	0x4d
	.long	0x4f
	.byte	0x5
	.byte	0x3
	.long	s_debug
	.uleb128 0x19
	.long	.LASF96
	.byte	0x1
	.byte	0x4e
	.long	0x4f
	.byte	0x5
	.byte	0x3
	.long	s_trace
	.uleb128 0x19
	.long	.LASF97
	.byte	0x1
	.byte	0x4f
	.long	0x4f
	.byte	0x5
	.byte	0x3
	.long	s_signal_count
	.uleb128 0x19
	.long	.LASF98
	.byte	0x1
	.byte	0x50
	.long	0x188
	.byte	0x5
	.byte	0x3
	.long	s_mutex
	.uleb128 0x19
	.long	.LASF99
	.byte	0x1
	.byte	0x51
	.long	0x236
	.byte	0x5
	.byte	0x3
	.long	s_cond
	.uleb128 0x1c
	.long	.LASF93
	.byte	0x6
	.byte	0xa7
	.long	0x413
	.byte	0x1
	.byte	0x1
	.uleb128 0x1c
	.long	.LASF94
	.byte	0x7
	.byte	0x49
	.long	0x4f
	.byte	0x1
	.byte	0x1
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x26
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x17
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x13
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x15
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x16
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x17
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x18
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x19
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1a
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x34
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1b
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0x1c
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x6b
	.value	0x2
	.long	.Ldebug_info0
	.long	0x70f
	.long	0x4a8
	.string	"csema_ctr"
	.long	0x4cc
	.string	"csema_dtr"
	.long	0x4f0
	.string	"csema_p"
	.long	0x520
	.string	"csema_v"
	.long	0x544
	.string	"cthread_ctr"
	.long	0x56e
	.string	"cthread_dtr"
	.long	0x5c3
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0xff
	.value	0x2
	.long	.Ldebug_info0
	.long	0x70f
	.long	0x64
	.string	"__quad_t"
	.long	0x6f
	.string	"__off_t"
	.long	0x81
	.string	"__off64_t"
	.long	0x9b
	.string	"size_t"
	.long	0xab
	.string	"pthread_t"
	.long	0xb6
	.string	"__pthread_internal_slist"
	.long	0xd5
	.string	"__pthread_slist_t"
	.long	0xff
	.string	"__pthread_mutex_s"
	.long	0x188
	.string	"pthread_mutex_t"
	.long	0x236
	.string	"pthread_cond_t"
	.long	0x3d5
	.string	"_IO_lock_t"
	.long	0x3dc
	.string	"_IO_marker"
	.long	0x241
	.string	"_IO_FILE"
	.long	0x43f
	.string	"csema"
	.long	0x471
	.string	"cthread"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF77:
	.string	"m_thread"
.LASF94:
	.string	"optind"
.LASF102:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/drd/tests"
.LASF26:
	.string	"__data"
.LASF76:
	.string	"cthread"
.LASF73:
	.string	"m_mutex"
.LASF50:
	.string	"_IO_save_end"
.LASF35:
	.string	"__nwaiters"
.LASF5:
	.string	"short int"
.LASF13:
	.string	"size_t"
.LASF89:
	.string	"optchar"
.LASF60:
	.string	"_offset"
.LASF82:
	.string	"csema_p"
.LASF44:
	.string	"_IO_write_ptr"
.LASF39:
	.string	"_flags"
.LASF29:
	.string	"pthread_mutex_t"
.LASF54:
	.string	"_flags2"
.LASF22:
	.string	"__count"
.LASF59:
	.string	"_lock"
.LASF20:
	.string	"__next"
.LASF28:
	.string	"__align"
.LASF51:
	.string	"_markers"
.LASF41:
	.string	"_IO_read_end"
.LASF33:
	.string	"__woken_seq"
.LASF38:
	.string	"_IO_FILE"
.LASF75:
	.string	"m_count"
.LASF95:
	.string	"s_debug"
.LASF19:
	.string	"__pthread_mutex_s"
.LASF36:
	.string	"__broadcast_seq"
.LASF98:
	.string	"s_mutex"
.LASF93:
	.string	"stderr"
.LASF24:
	.string	"__kind"
.LASF6:
	.string	"long long int"
.LASF72:
	.string	"csema"
.LASF97:
	.string	"s_signal_count"
.LASF10:
	.string	"long int"
.LASF100:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF56:
	.string	"_cur_column"
.LASF18:
	.string	"__pthread_internal_slist"
.LASF106:
	.string	"__PRETTY_FUNCTION__"
.LASF32:
	.string	"__wakeup_seq"
.LASF71:
	.string	"_pos"
.LASF99:
	.string	"s_cond"
.LASF16:
	.string	"__spins"
.LASF86:
	.string	"thread_info"
.LASF88:
	.string	"argv"
.LASF70:
	.string	"_sbuf"
.LASF55:
	.string	"_old_offset"
.LASF0:
	.string	"unsigned char"
.LASF79:
	.string	"m_sema"
.LASF87:
	.string	"argc"
.LASF30:
	.string	"__futex"
.LASF4:
	.string	"signed char"
.LASF7:
	.string	"long long unsigned int"
.LASF2:
	.string	"unsigned int"
.LASF68:
	.string	"_IO_marker"
.LASF58:
	.string	"_shortbuf"
.LASF11:
	.string	"__off64_t"
.LASF96:
	.string	"s_trace"
.LASF43:
	.string	"_IO_write_base"
.LASF67:
	.string	"_unused2"
.LASF40:
	.string	"_IO_read_ptr"
.LASF27:
	.string	"__size"
.LASF47:
	.string	"_IO_buf_end"
.LASF81:
	.string	"csema_dtr"
.LASF12:
	.string	"char"
.LASF25:
	.string	"__nusers"
.LASF105:
	.string	"main"
.LASF83:
	.string	"csema_v"
.LASF69:
	.string	"_next"
.LASF61:
	.string	"__pad1"
.LASF62:
	.string	"__pad2"
.LASF63:
	.string	"__pad3"
.LASF64:
	.string	"__pad4"
.LASF65:
	.string	"__pad5"
.LASF21:
	.string	"__lock"
.LASF78:
	.string	"m_threadnum"
.LASF1:
	.string	"short unsigned int"
.LASF101:
	.string	"pth_broadcast.c"
.LASF37:
	.string	"pthread_cond_t"
.LASF3:
	.string	"long unsigned int"
.LASF85:
	.string	"cthread_dtr"
.LASF45:
	.string	"_IO_write_end"
.LASF92:
	.string	"thread_vec"
.LASF91:
	.string	"sema"
.LASF53:
	.string	"_fileno"
.LASF52:
	.string	"_chain"
.LASF15:
	.string	"__pthread_slist_t"
.LASF9:
	.string	"__off_t"
.LASF31:
	.string	"__total_seq"
.LASF66:
	.string	"_mode"
.LASF49:
	.string	"_IO_backup_base"
.LASF90:
	.string	"thread_count"
.LASF46:
	.string	"_IO_buf_base"
.LASF8:
	.string	"__quad_t"
.LASF80:
	.string	"csema_ctr"
.LASF23:
	.string	"__owner"
.LASF42:
	.string	"_IO_read_base"
.LASF84:
	.string	"cthread_ctr"
.LASF17:
	.string	"__list"
.LASF57:
	.string	"_vtable_offset"
.LASF74:
	.string	"m_cond"
.LASF48:
	.string	"_IO_save_base"
.LASF104:
	.string	"thread_func"
.LASF14:
	.string	"pthread_t"
.LASF34:
	.string	"__mutex"
.LASF103:
	.string	"_IO_lock_t"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
